Bug 1203745 (CVE-2015-2751, xsa127) - CVE-2015-2751 xen: certain domctl operations may be abused to lock up the host
Summary: CVE-2015-2751 xen: certain domctl operations may be abused to lock up the host
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-2751, xsa127
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150331,reported=2...
Depends On: 1207739
Blocks: 1203746
TreeView+ depends on / blocked
 
Reported: 2015-03-19 15:10 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 15:15:46 UTC


Attachments (Terms of Use)
xsa127.patch (1.33 KB, text/plain)
2015-03-19 15:11 UTC, Vasyl Kaigorodov
no flags Details
xsa127.patch (1.31 KB, text/plain)
2015-03-19 15:12 UTC, Vasyl Kaigorodov
no flags Details

Description Vasyl Kaigorodov 2015-03-19 15:10:30 UTC
ISSUE DESCRIPTION
=================

XSA-77 put the majority of the domctl operations on a list excepting
them from having security advisories issued for them if any effects
their use might have could hamper security. Subsequently some of them
got declared disaggregation safe, but for a small subset this was not
really correct: Their (mis-)use may result in host lockups.

As a result, the potential security benefits of toolstack
disaggregation are not always fully realised.

IMPACT
======

Domains deliberately given partial management control may be able to
deny service to the entire host.

As a result, in a system designed to enhance security by radically
disaggregating the management, the security may be reduced. But, the
security will be no worse than a non-disaggregated design.

VULNERABLE SYSTEMS
==================

Xen versions 4.3 onwards are vulnerable.
Xen versions 4.2 and earlier do not have the described disaggregation
functionality and hence are not vulnerable.

MITIGATION
==========

The issues discussed in this advisory are themselves bugs in features
used for a security risk mitigation.

There is no further mitigation available, beyond general measures to
try to avoid parts of the system management becoming controlled by
attackers. Those are the kind of measures which we expect any users
of radical disaggregation to have already deployed.

Switching from disaggregated to a non-disaggregated operation does NOT
mitigate these vulnerabilities. Rather, it simply recategorises the
vulnerability to hostile management code, regarding it "as designed";
thus it merely reclassifies these issues as "not a bug".

Users and vendors of disaggregated systems should not change their
configuration. The robustness benefits of disaggregation are
unaffected, and (depending on system design) security benefits are
likely to remain despite the vulnerabilities.

RESOLUTION
==========

Applying the appropriate attached patch resolves this issue.

Comment 1 Vasyl Kaigorodov 2015-03-19 15:11:50 UTC
Created attachment 1003869 [details]
xsa127.patch

Comment 2 Vasyl Kaigorodov 2015-03-19 15:12:02 UTC
Created attachment 1003870 [details]
xsa127.patch

Comment 3 Petr Matousek 2015-03-31 15:15:46 UTC
Statement:

Not vulnerable.

This issue does not affect the kernel-xen packages as shipped with Red Hat Enterprise Linux 5.

Comment 4 Petr Matousek 2015-03-31 15:17:20 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1207739]

Comment 5 Petr Matousek 2015-03-31 15:21:18 UTC
References:

http://www.openwall.com/lists/oss-security/2015/03/31/6

Comment 6 Petr Matousek 2015-03-31 15:22:09 UTC
Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.


Note You need to log in before you can comment on or make changes to this bug.